pci_get_bus_and_slot
Prev | PCI Support Library | Next

## Name

pci_get_bus_and_slot — locate PCI device from a given PCI bus & slot

## Synopsis

`struct pci_dev * pci_get_bus_and_slot (` | unsigned int | bus,
| unsigned int | devfn`)`;

## Arguments

`bus`

  number of PCI bus on which desired PCI device resides

`devfn`

  encodes number of PCI slot in which the desired PCI device resides and the logical device number within that slot in case of multi-function devices.

## Note

the bus/slot search is limited to PCI domain (segment) 0.

Given a PCI bus and slot/function number, the desired PCI device is located in system global list of PCI devices. If the device is found, a pointer to its data structure is returned. If no device is found, `NULL` is returned. The returned device has its reference count bumped by one.

Prev | Up | Next
pci_get_slot | Home | pci_find_device